#include "FabriqueServeurPremiers.h"

HRESULT Fabrique::QueryInterface (REFIID riid, void **ppv)
{
   if (riid == IID_IUnknown)
   {
      *ppv = static_cast<IUnknown*> (this);
   }
   else if (riid == IID_IClassFactory)
   {
      *ppv = static_cast<IClassFactory*> (this);
   }
   else
   {
      // traitement d'erreur
      *ppv = 0; // NULL
      return E_NOINTERFACE;
   }
   AddRef ();
   return S_OK;
}

