#ifndef FABRIQUE_SERVEUR_PREMIERS_H
#define FABRIQUE_SERVEUR_PREMIERS_H

#include "../../StdOutilsCOM_Lib/IClassFactoryImpl.h"
#include "../../StdOutilsCOM_Lib/StdCreateInstance.h"
#include "COMAnalystePremier.h"

// ----------------------------------------------------
// ----------------------------------------------------
// ----------------------------------------------------
// Fabrique tout ce qu'il y a de plus standard
// ----------------------------------------------------

class Fabrique : public IClassFactoryImpl
{
public:
   // Pour IUnknown
   unsigned long __stdcall AddRef () { return IClassFactoryImpl::AddRef (); }
   unsigned long __stdcall Release () { return IClassFactoryImpl::Release (); }
   HRESULT __stdcall QueryInterface (REFIID riid, void **ppv);

   // Pour IClassFactory
   HRESULT __stdcall CreateInstance (IUnknown *pUnkOuter,
                                     REFIID riid,
                                     void **ppv)
   {
      return StdCreateInstance<COMAnalystePremier> (pUnkOuter, riid, ppv);
   }
   HRESULT __stdcall LockServer (BOOL Verrou) { return IClassFactoryImpl::LockServer (Verrou); }

   Fabrique() : IClassFactoryImpl ()
   {
   };
   ~Fabrique ()
   {
   };
};

#endif // !defined FABRIQUE_SERVEUR_PREMIERS_H
