#include "IPremierImpl.h"
#include "OutilsServeurPremiers.h"
#include <limits>

#ifdef max
#undef max
#endif // entrait en conflit avec std::numeric_limits<int>::max()

HRESULT IPremierImpl::EstPremier (int Nb, boolean *retval)
{
   *retval = EntierEstPremier (Nb) ? TRUE : FALSE; // premier, car non divisible
   return S_OK;
}

HRESULT IPremierImpl::NiemePremier(  int Lequel, int *retval)
{
   int NombreTeste = 2; // plus petit premier
   int NbPremiers = 0;
   while (NbPremiers < Lequel && NombreTeste < std::numeric_limits<int>::max())
   {
      unsigned char Resultat;
      EstPremier (NombreTeste, &Resultat);
      if (Resultat != 0)
      {
         NbPremiers ++;
         if (NbPremiers == Lequel)
         {
            *retval = NombreTeste;
            return S_OK;
         }
      }
      NombreTeste ++;
   }
   *retval = -1;
   return S_OK;
}

